from cpl_core.time import TimeFormatSettings
from cpl_discord.events import OnCommandABC
from cpl_discord.service import DiscordBotServiceABC
from cpl_translation import TranslatePipe
from discord.ext.commands import Context

from bot_core.abc.message_service_abc import MessageServiceABC
from bot_core.configuration.bot_settings import BotSettings
from bot_core.logging.command_logger import CommandLogger


class BaseOnCommandEvent(OnCommandABC):

    def __init__(
            self,
            logger: CommandLogger,
            bot: DiscordBotServiceABC,
            messenger: MessageServiceABC,
            bot_settings: BotSettings,
            time_format_settings: TimeFormatSettings,
            translate: TranslatePipe
    ):
        OnCommandABC.__init__(self)
        self._logger = logger
        self._bot = bot
        self._messenger = messenger
        self._bot_settings = bot_settings
        self._time_format_settings = time_format_settings
        self._t = translate

    async def on_command(self, ctx: Context):
        print('\n', ctx.command)
        pass
